import { PkgInfo, DepGraph } from '@snyk/dep-graph';
import { Lockfile } from './types';
import 'core-js/features/object/entries';
export default class LockfileParser {
    static readFile(lockfilePath: string): Promise<LockfileParser>;
    static readFileSync(lockfilePath: string): LockfileParser;
    static readContents(contents: string, rootPkgInfo?: PkgInfo): LockfileParser;
    private rootPkgInfo;
    private internalData;
    constructor(hash: Lockfile, rootPkgInfo?: PkgInfo);
    toDepGraph(): DepGraph;
    private nodeIdForPkgInfo;
    private nodeInfoLabelsForPod;
    private checksumForPod;
    private repositoryForPod;
    private externalSourceInfoForPod;
    private checkoutOptionsForPod;
    private readonly pkgManager;
    private readonly cocoapodsVersion;
    readonly podfileChecksum: string | undefined;
}
